<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]>      <html class="no-js"> <!--<![endif]-->
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Software Engineering Code of Ethics and Professional Practice</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="">
    </head>
    <body>
        <!--[if lt IE 7]>
            <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="#">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->

        <center>
        <div style="width: 650px;height:auto; padding: 5px; padding-top: 5px; padding-bottom: 0px; text-align: left;">
        <p style="margin-bottom: 0px; margin-top: 0px;"><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
        <hr>
        <h1><strong>Software Engineering Code of Ethics and Professional Practice</strong></h1>
       
        <p style="font-size:18px;"><strong>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</strong></p>
       
        <hr>
       
        <p><strong>Keywords</strong>: code of ethics, professional responsibility, software engineering</p>
       
        <h4>PREAMBLE</h4>
    
        <p style="margin-bottom: 5px;">The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act
            as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details,
            the aspirations can becoe high-sounding but empty; together, the aspirations and the details form a cohesive code.
        </p>
        <p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software
            a beneficial and respected profession. In accordance with their commitment to health, safety, and welfare of the public, software engineers shall
            adhere to the following eight Principles:
        </p>
        <h4>PRINCIPLES</h4>
        <ol>
            <li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
            <li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer,
            consistent with the public interest.</li>
            <li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
            <li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
            <li><em>Management</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software
            development and maintenance.</li>
            <li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
            <li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their collegaues.</li>
            <li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical
            to the practice of the profession.</li>
        </ol>

        </div>
    </center>
        <script src="" async defer></script>
    </body>
</html>